package com.persagy.dmp.rwd.iot.controller;


import com.persagy.dmp.common.constant.CommonConstant;
import com.persagy.dmp.common.model.response.CommonResult;
import com.persagy.dmp.common.utils.ParamCheckUtil;
import com.persagy.dmp.common.utils.ResultHelper;
import com.persagy.dmp.rwd.iot.model.CurrentDataModel;
import com.persagy.dmp.rwd.iot.service.CurrentDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * iot-查询实时数据
 * @author:linhuili
 * @date:2021/8/11
 */
@RestController
@RequestMapping("/rwd/iot")
public class IotController {

	@Autowired
	private CurrentDataService currentDataService;

	@PostMapping("/data/current")
	public CommonResult<List<CurrentDataModel>> current(@RequestBody List<CurrentDataModel> param) {
		//基础参数校验
		ParamCheckUtil.checkParam(CommonConstant.QUERY_GROUPCODE,CommonConstant.QUERY_PROJECTID);
		List<CurrentDataModel> currentData = currentDataService.getCurrentData(param);
		return ResultHelper.multi(currentData,currentData.size());
	}
}
